<html>
<head>
<link rel="stylesheet" type="text/css" href="style.css" />
<title>TCC</title>
</head>
<body>

<h2 align="center">Trabalho de Conclus&atilde;o de Curso (TCC)</h2>

<blockquote>
<b>Resumo</b><br/><br/>

Avalia&ccedil;&atilde;o do desempenho de
<a href=http://en.wikipedia.org/wiki/Splay_tree>
&aacute;rvores de afunilamento</a> no gerenciamento das &Aacute;reas de
Mem&oacute;ria Virtual dos processos no kernel Linux. Tal estudo &eacute;
importante porque a estrutura de dados citada ainda n&atilde;o foi
experimentada no kernel Linux, desse modo seus poss&iacute;veis
benef&iacute;cios s&atilde;o desconhecidos. O objetivo principal &eacute;
comparar o desempenho da &aacute;rvore de afunilamento com a &aacute;rvore
<a href=http://en.wikipedia.org/wiki/Red_black_tree>rubro-negra</a>
atualmente usada pelo kernel. Para isso, o subsistema de gerenciamento de
mem&oacute;ria do Linux 2.6.29.2 foi alterado para usar uma &aacute;rvore
de afunilamento no gerenciamento das &aacute;reas de mem&oacute;ria virtual
dos processos. Foram executados testes de desempenho que simulam ambientes
da vida real e seus resultados expostos e discutidos.
</blockquote>

<ul>
<li> <a href="http://www.utp.br">Universidade Tuiuti do Paran&aacute;</a>
<li> Aluno: Luiz Fernando N. Capitulino &lt;lcapitulino at gmail.com&gt;
<li> Curso: Tecnologia em An&aacute;lise e Desenvolvimento de Sistemas
<li> Tema: Desempenho da &aacute;rvore de afunilamento no armazenamento das
&aacute;reas de mem&oacute;ria virtual do kernel Linux</li>
<li> <a href="http://www.cpu.eti.br/luiz-capitulino-monografia.pdf">monografia</li>
<li> <a href="http://repo.or.cz/w/lcapit-linux-patches.git?a=tree;f=uni-final-project;h=4bbba5fc6a61e79ec29b3ed0a746bb83682afd28;hb=HEAD">patches</a></li>
</ul>

</body>
</html>
